<?php get_header(); ?>

		<div class="primary">
			<header class="archive-header">
			<?php 
				/* 
					The queries below determine which archive type
					is being requested. You can also pull these out
					into separate files -- category.php, tag.php, 
					etc. -- but since the display is so similar I 
					decided to leave them all in one file.
				*/

				if (is_search()) {
			?>
					<h1 class="archive-type-title">Search results</h1>
					<?php get_search_form(); ?>
			<?php
				}
				elseif (is_category()) {
			?>
					<h1 class="archive-type-title">Posts in the &#8220;<?php single_cat_title(); ?>&#8221; category</h1>
			<?php
				}
				elseif (is_tag()) {
			?>
					<h1 class="archive-type-title">Posts tagged with &#8220;<?php single_tag_title(); ?>&#8221;</h1>
			<?php
				}
				elseif (is_year()) {
			?>
					<h1 class="archive-type-title">Archives for &#8220;<?php echo get_the_date('Y'); ?>&#8221;</h1>
			<?php
				}
				elseif (is_month()) {
			?>
					<h1 class="archive-type-title">Archives for &#8220;<?php echo get_the_date('F Y'); ?>&#8221;</h1>
			<?php
				}
				elseif (is_day()) {
			?>
					<h1 class="archive-type-title">Archives for &#8220;<?php echo get_the_date(); ?>&#8221;</h1>
			<?php
				}
				else {
			?>
					<h1 class="archive-type-title">Archives</h1>
			<?php 
				}
			?>
			</header>
			
			<?php if (have_posts()) while (have_posts()) : the_post(); ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="post-header">
					<h1 class="post-title"><a class="post-title-link" href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
					<time class="post-date"><a class="post-permalink" href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>"><?php the_time('F d, Y'); ?></a></time>
				</header>
				
				<div class="post-content">
					<?php if (has_post_thumbnail()) { ?>
						<p class="post-thumbnail"><?php the_post_thumbnail('thumbnail'); ?></p>
					<?php } ?>
					
					<?php the_excerpt("Continue reading &#8594;"); ?>
					<?php wp_link_pages(array('before' => '<div class="post-pages">' . '<span class="post-pages-label">Pages:</span> ', 'after' => '</div>')); ?>

					<span class="clear"></span>
					<?php edit_post_link(); ?>
				</div>
				
				<?php
					$category_list = get_the_category_list(', ');
					$tags_list = get_the_tag_list('', ', ');
				?>
				<footer class="post-footer">
					<p class="post-meta">
						<span class="post-comments-link"><?php comments_popup_link('Leave a comment', '1 Comment', '% Comments'); ?></span>
						<?php if ($category_list) { ?> &bull; <em>Filed under</em> <?php echo $category_list; } ?> 
						&bull; <em>Posted at</em> <time class="post-time"><?php the_time('h:ia'); ?></time>
					</p>
					
					<p class="post-tags">
						<?php
							if ($tags_list) {
						?>
							<span class="post-tags-label">Tags:</span>
							<?php echo $tags_list; ?>	
						<?php
							}
						?>
					</p>
				</footer>
			</article>
			
			<?php endwhile; ?>
			
			<?php if ($wp_query->max_num_pages > 1) : ?>
				<section id="post-nav-below" class="post-nav">
					<span class="post-nav-older"><?php next_posts_link('&#8592; Older posts'); ?></span>
					<span class="post-nav-newer"><?php previous_posts_link('Newer posts &#8594;'); ?></span>
					<span class="clear"></span>
				</section>
			<?php endif; ?>
		</div> <!-- .primary -->
		
		<?php get_sidebar(); ?>
		
<?php get_footer(); ?>