<?php

/* Set width for content and images.
	--- The layout is fluid with max- and min-width constraints.
		The value below represents the half-way width between 
*/
if (!isset($content_width))
	$content_width = 556;

// This theme uses post thumbnails
add_theme_support('post-thumbnails');

// Add default posts and comments RSS feed links to head
add_theme_support('automatic-feed-links');

// This theme uses wp_nav_menu() in one location.
register_nav_menus(array(
	'primary' => __('Primary Navigation', 'magnolia'),
));

if (!function_exists('magnolia_comment')) :
/* Template for comments and pingbacks.
	--- This was taken from the Twenty Ten theme. In the comments.php
		template this function is called and looped through for each
		comment. <-- (type widow)
*/

function magnolia_comment($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', 'magnolia' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', 'magnolia' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'magnolia' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'magnolia' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'magnolia' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'magnolia'), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;

/*
	Read more link
	--- The following functions replace the default text and
		functionality for the "read more" links and excerpt
		display. <-- (type widow)
	--- This was taken from the Twenty Ten theme.
*/

function magnolia_continue_reading_link() {
	return ' <a href="'. get_permalink() . '">' . 'Continue reading &#8594;' . '</a>';
}
function magnolia_auto_excerpt_more( $more ) {
	return ' &hellip;' . magnolia_continue_reading_link();
}
add_filter('excerpt_more', 'magnolia_auto_excerpt_more');

function magnolia_custom_excerpt_more( $output ) {
	if ( has_excerpt() && ! is_attachment() ) {
		$output .= magnolia_continue_reading_link();
	}
	return $output;
}
add_filter('get_the_excerpt', 'magnolia_custom_excerpt_more');


// Register widgets
function magnolia_widgets_init() {
	/*
		Main sidebar
		--- The crazy set below constructs this output:
		
		<section class="secondary-block">
			<header class="secondary-block-label">
				<h1 class="secondary-block-title">TITLE HERE</h1>
			</header>
			
			<div class="secondary-block-content">
				CONTENT HERE
			</div>
		</section>
	*/
	register_sidebar(array(
		'name' => 'Main Sidebar',
		'id' => 'main-sidebar',
		'description' => 'The main sidebar of the site.',
		'before_widget' => '<section id="%1$s" class="secondary-block %2$s"><div>',
		'after_widget' => '</div></section>',
		'before_title' => '</div><header class="secondary-block-label"><h1 class="secondary-block-title">',
		'after_title' => '</h1></header><div class="secondary-block-content">',
	));
}

//Register sidebars by running magnolia_widgets_init() on the widgets_init hook.
add_action('widgets_init', 'magnolia_widgets_init');
