<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>" />
	
	<title>
		<?php
			// Print the <title> tag based on what is being viewed.
			// Taken from the 2010 theme.
			global $page, $paged;

			wp_title('&mdash;', true, 'right');

			// Add the blog name.
			bloginfo('name');

			// Add the blog description for the home/front page.
			$site_description = get_bloginfo('description', 'display');
			if ($site_description && (is_home() || is_front_page()))
				echo " &mdash; $site_description";
		
			// Add a page number if necessary:
			if ($paged >= 2 || $page >= 2)
				echo ' &mdash; ' . sprintf('Page %s', max($paged, $page));
		?>
	</title>
	
	<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<!--[if IE 6]>
		<link rel="stylesheet" media="all" href="<?php echo get_template_directory_uri(); ?>/css/ie6.css" />
	<![endif]-->
	<!--[if IE 7]>
		<link rel="stylesheet" media="all" href="<?php echo get_template_directory_uri(); ?>/css/ie7.css" />
	<![endif]-->
	
	<link rel="stylesheet" media="all" href="<?php echo get_stylesheet_uri(); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<?php if (is_singular()) { wp_enqueue_script('comment-reply'); } ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<header class="identity">
	<div class="frame">
	<hgroup class="site-id">
		<h1 class="site-title"><a class="site-title-link" href="<?php echo home_url(); ?>" title="Go home."><?php bloginfo('name'); ?></a></h1>
		<h2 class="site-tagline"><?php bloginfo('description'); ?></h2>
	</hgroup>
	
	<span class="clear"></span>
	
	
	</div>
</header>


<div id="site" class="site">
<div class="frame">
	<?php if (has_nav_menu('primary')) { ?>
		<nav class="main-nav">
			<?php
				// Builds the primary navigation.
				// Removes nav bar if no page menu is constructed. 
				// TODO: Add fall-back to wp_page_menu() if no nav menu is built.
				// See http://codex.wordpress.org/Function_Reference/wp_nav_menu for reference
				
				wp_nav_menu(
					array(
						'theme_location' => 'primary',
						'container' => '',
						'menu_class' => 'main-nav-list',
						'depth' => '0', // Sub pages are shown beneath the tabs.
					)
				);
			?>
			<span class="clear"></span>
		</nav>
	<?php } ?>
	
	<div class="main">