<?php get_header(); ?>

		<div class="primary">
			<?php if (have_posts()) : ?>
			
			<header class="archive-header">
				<h1 class="archive-type-title"><?php printf('Search Results for: %s', '<span>' . get_search_query() . '</span>'); ?></h1>
			</header>
			
			<?php while (have_posts()) : the_post(); ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="post-header">
					<h1 class="post-title"><a class="post-title-link" href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
					<time class="post-date"><a class="post-permalink" href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>"><?php the_time('F d, Y'); ?></a></time>
				</header>
				
				<div class="post-content">
					<?php if (has_post_thumbnail()) { ?>
						<p class="post-thumbnail"><?php the_post_thumbnail('thumbnail'); ?></p>
					<?php } ?>
					
					<?php the_excerpt("Continue reading &#8594;"); ?>
					<?php wp_link_pages(array('before' => '<div class="post-pages">' . '<span class="post-pages-label">Pages:</span> ', 'after' => '</div>')); ?>

					<span class="clear"></span>
					<?php edit_post_link(); ?>
				</div>
				
				<?php
					$category_list = get_the_category_list(', ');
					$tags_list = get_the_tag_list('', ', ');
				?>
				<footer class="post-footer">
					<p class="post-meta"><a class="post-comments-link" href="#">3 comments</a> <?php if ($category_list) { ?> &bull; <em>Filed under</em> <?php echo $category_list; } ?> &bull; <em>Posted at</em> <time class="post-time"><?php the_time('h:ia'); ?></time></p>
					<p class="post-tags">
						<?php
							if ($tags_list) {
						?>
							<span class="post-tags-label">Tags:</span>
							<?php echo $tags_list; ?>	
						<?php
							}
						?>
					</p>
				</footer>
			</article>
			
			<?php endwhile; ?>
			
			<?php else: ?>
				
				<header class="archive-header">
					<h1 class="archive-type-title"><?php printf('No results found for: %s', '<span>' . get_search_query() . '</span>'); ?></h1>
				</header>
				
				<?php get_search_form(); ?>
			
			<?php endif; ?>
			
			<?php if ($wp_query->max_num_pages > 1) : ?>
				<section id="post-nav-below" class="post-nav">
					<span class="post-nav-older"><?php next_posts_link('&#8592; Older posts'); ?></span>
					<span class="post-nav-newer"><?php previous_posts_link('Newer posts &#8594;'); ?></span>
					<span class="clear"></span>
				</section>
			<?php endif; ?>
		</div> <!-- .primary -->
		
		<?php get_sidebar(); ?>
		
<?php get_footer(); ?>