<?php get_header(); ?>

		<div class="primary">
			<?php if (have_posts()) while (have_posts()) : the_post(); ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="post-header">
					<h1 class="post-title"><a class="post-title-link" href="<?php the_permalink(); ?>" title="Permalink to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
					<time class="post-date"><?php the_time('F d, Y'); ?></time>
				</header>
				
				<div class="post-content">
					<?php if (has_post_thumbnail()) { ?>
						<p class="post-thumbnail"><?php the_post_thumbnail('thumbnail'); ?></p>
					<?php } ?>
					
					<?php the_content(); ?>
					<?php wp_link_pages(array('before' => '<div class="post-pages">' . '<span class="post-pages-label">Pages:</span> ', 'after' => '</div>')); ?>
					
					<span class="clear"></span>
					<?php edit_post_link(); ?>
				</div>
				
				<?php
					$category_list = get_the_category_list(', ');
					$tags_list = get_the_tag_list('', ', ');
				?>
				
				<footer class="post-footer">
					<p class="post-meta">
						<span class="post-comments-link"><?php comments_popup_link('Leave a comment', '1 Comment', '% Comments'); ?></span> 
						<?php if ($category_list) { ?> &bull; <em>Filed under</em> <?php echo $category_list; } ?> 
						&bull; <em>Posted at</em> <time class="post-time"><?php the_time('h:ia'); ?></time>
					</p>
					
					<p class="post-tags">
						<?php
							if ($tags_list) {
						?>
							<span class="post-tags-label">Tags:</span>
							<?php echo $tags_list; ?>	
						<?php
							}
						?>
					</p>
				</footer>
			</article>
			
			<section id="post-nav-below" class="post-nav post-nav-single post-nav-single-below">
				<span class="post-nav-older"><?php previous_post_link('%link', '&#8592; Previous Post'); ?></span>
				<span class="post-nav-newer"><?php next_post_link('%link', 'Next Post &#8594;'); ?></span>
				<span class="clear"></span>
			</section>
			
			<aside class="comments">
				<?php
					// The first parameter is the file to call. Defaults to comments.php.
					// The second parameter is whether to separate comments by comment type.
					// (pingback, trackbacks, comment, etc.)
					
					comments_template('', true);
				?>
			</aside>
			
			<?php endwhile; ?>
		</div> <!-- .primary -->
		
		<?php get_sidebar(); ?>
		
<?php get_footer(); ?>